Versions Reference

Updated 1 month ago

    Introduction

    If it is a table and relates to versions, and which X is supported by Y, it can go here (or for existing pages, link from here). Also allows us to track the edge cases where we are de-supporting a particular OS (permanently or potentially only temporarily) and what the reason for the de-support is.

    OS versions supported, MuseScore version and Qt version that they are built against

    • Versions that are "known to work". For versions that are officially supported by these Qt versions, see below
    • Qt Long Term Support (LTS) version in Bold
    MuseScore version Qt Version OS Note
    1.x 4.8 Windows XP or higher, macOS 10.4, 10.6 or higher, Linux
    2.x 5.4 Windows 7 or higher, macOS 10.7 or higher, Linux Last MuseScore version known to work with Windows XP and Vista, albeit unsupported
    3.x 5.9 Windows 7 or higher, macOS 10.10 or higher, Linux
    4.x 5.15 Windows 7 or higher, macOS 10.13 or higher, Linux

    OS versions that are not supported on MuseScore

    Last supported MuseScore version First unsupported MuseScore version Qt Version OS Note
    2.3.2 3.0.0 5.4 Windows XP, Vista Windows versions not supported by Qt 5.9/5.12
    2.3.2 3.0.0 5.4 macOS 10.7 - 10.9 macOS versions not supported by Qt 5.9/5.12, no future plans to support.

    MuseScore version detail

    Qt versions and OS supported versions

    • Qt Long Term Support (LTS) in Bold

    Note: QtT 6.0 is not planned for use in development in the near future (as of December 2020) but listing its versions supported (and by implication dropped) is still useful. It is not an LTS version either, 6.2 will be though. It is planned for end of September 2021.

    Qt version OS Versions Architectures Note
    6.0 Windows 10 x86_64 64-bit only
    6.0 macOS 10.14, 10.15, 11.0 x86_64 and x86_64h
    6.0 Generic Linux Compiler: GCC 9 x86_64
    5.15 Windows 7, 8.1, 10 x86 and x86_64
    5.15 macOS 10.13, 10.14, 10.15 x86_64 and x86_64h
    5.15 Generic Linux Compiler: GCC 5 or later, ICC 18.x x86 and x86_64
    5.12 Windows 7, 8.1, 10 x86 and x86_64 Qt version supported until Dec 6, 2021
    5.12 macOS 10.12, 10.13, 10.14 x86_64 and x86_64h
    5.12 Generic Linux Compiler: GCC 4.8, GCC 4.9, GCC 5, GCC 6, GCC 7 x86 and x86_64
    5.9 Windows 7, 8.1, 10 x86 and x86_64 Qt version supported until May 31, 2020
    5.9 macOS 10.10, 10.11, 10.12 x86_64 and x86_64h
    5.9 Generic Linux Compiler: GCC 4.8, GCC 4.9, GCC 5.3 x86 and x86_64
    5.8 Windows 7, 8.1, 10 x86 and x86_64
    5.4 Windows XP
    5.4 Windows Vista, 7, 8 32-bit and 64-bit MuseScore 32-bit only (but an unsupported 64-bit version is available)
    5.4 macOS 10.7, 10.8, 10.9, 10.10 x86_64
    4.8 Windows XP, Vista 32-bit
    4.8 macOS 10.6, 10.7 x86_64

    Macs and maximum macOS version

    • Sample data from MacTracker (iOS app)
    • Excludes Mac Pro, Mac Mini, since the maximum macOS tend to largely correspond with the same year for all Macs released in the same year. E.g. this is not an exhaustive list of all models but gives a broad indication of which model-years will be affected by a de-support decision.
    • Even though macOS 10.10 is the oldest supported on Qt 5.9, macOS 10.11 is the latest supported by this generation of Macs from 2007-2009.
    • The step up in model year and max. macOS is 2010/2011 with max. macOS 10.13. Even though Qt 5.12 supports macOS 10.12, those users would have upgraded to 10.13 already.
    • All models that are compatible with macOS Mojave 10.14 are also compatible with macOS Catalina 10.15. E.g. you will not see any models for which 10.14 is the maximum maximum macOS version.
    Year released Type Max. macOS
    2006 MacBook, MacBookPro, iMac 10.7
    2007 MacBook 10.7
    2007 MacBookPro, iMac 10.11
    2008 MacBook 10.7
    2008 MacBookPro, iMac 10.11.6
    2009 MacBook, MacBookPro, iMac 10.11
    2010 MacBook, MacBookPro, iMac 10.13
    2011 MacBook, MacBookPro, iMac 10.13
    2012 MacBook Air, MacBookPro 10.15
    2013+ MacBook Air, MacBookPro 11.1
    2014 iMac 10.15
    2014+ iMac 11.1
    2015+ MacBook 11.1

    Windows support cycle

    Windows version Year released OS vendor supported Supported until Maximum MuseScore version
    10 2015 Yes not announced 3.x
    8.1 2013 Yes 2023-01-10 3.x
    8 2012 No 2016-01-13 3.x
    7 2009 No 2020-01-14 3.x
    Vista 2007 No 2017-04-17 2.3.2
    XP 2001 No 2014-04-08 2.3.2